Bug 1918510 - [vsphere][ipi] directory path is incomplete, terraform can't find the cluster
Summary: [vsphere][ipi] directory path is incomplete, terraform can't find the cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Jeremiah Stuever
QA Contact: jima
URL:
Whiteboard:
Depends On: 1882022
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-20 22:05 UTC by OpenShift BugZilla Robot
Modified: 2021-02-22 23:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-22 13:54:32 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4574 0 None closed [release-4.6] Bug 1918510: installconfig: enable vsphere folders for datacenters and clusters. 2021-02-15 17:21:06 UTC
Red Hat Product Errata RHBA-2021:0510 0 None None None 2021-02-22 13:54:42 UTC

Comment 3 jima 2021-02-18 03:29:46 UTC
Verified on nightly build 4.6.0-0.nightly-2021-02-17-215814, installation is successful.

$ ./oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-02-17-215814   True        False         11m     Cluster version is 4.6.0-0.nightly-2021-02-17-215814

$ ./oc get machineset jstuevervcsa-nwlmx-worker -n openshift-machine-api -o json| jq -r .spec.template.spec.providerSpec.value.workspace
{
  "datacenter": "foo/SDDC-Datacenter",
  "datastore": "WorkloadDatastore",
  "folder": "/foo/SDDC-Datacenter/vm/jstuevervcsa-nwlmx",
  "resourcePool": "/foo/SDDC-Datacenter/host/bar/Cluster-1/Resources",
  "server": "jstuever-vcsa.vmc.devcluster.openshift.com"
}

Comment 5 errata-xmlrpc 2021-02-22 13:54:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0510


Note You need to log in before you can comment on or make changes to this bug.